import { Component, Prop, Vue } from 'vue-property-decorator';
import { Measure, MeasureConfig, MeasureType, Measurement, MeasurementMeta } from '@/models';
import { measurementStore } from '@/store';
import ListSummary from './ListSummary.vue';
import SimpleSummaryGraph from './SimpleSummaryGraph.vue';

@Component({
  components: {
    ListSummary,
    SimpleSummaryGraph
  }
})
export class MeasureSummary extends Vue {
  @Prop() private measure!: Measure<MeasureConfig>;

  private get measurements() {
    return measurementStore.measurements[this.measure.id] || [];
  }

  private async mounted() {
    await measurementStore.fetchMeasurements(this.measure);
  }

}

export default MeasureSummary;
